| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
uiGVFreehandAreaSelectionTool Class Reference
uiTools

`#include <uigvfreehandareaselectiontool.h>`

Inheritance diagram for uiGVFreehandAreaSelectionTool:
[legend]

## Public Member Functions
| uiGVFreehandAreaSelectionTool (uiGraphicsView &)
| ~uiGVFreehandAreaSelectionTool ()
void | disable ()
void | enable ()
bool | isEnabled () const
bool | isPolygonMode () const
const ODPolygon< int > & | selection () const
void | setPolygonMode (bool)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Public Attributes
Notifier< uiGVFreehandAreaSelectionTool > | pointAdded
Notifier< uiGVFreehandAreaSelectionTool > | started
Notifier< uiGVFreehandAreaSelectionTool > | stopped

## Protected Member Functions
void | mouseMoveCB (CallBacker *)
void | mousePressCB (CallBacker *)
void | mouseReleaseCB (CallBacker *)

## Protected Attributes
bool | enabled_
uiGraphicsView & | gv_
bool | ispolygonmode_
ODPolygon< int > & | odpolygon_
uiPolygonItem * | polygonselitem_

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiGVFreehandAreaSelectionTool()

uiGVFreehandAreaSelectionTool::uiGVFreehandAreaSelectionTool | ( | uiGraphicsView & |  | ) |

## ◆ ~uiGVFreehandAreaSelectionTool()

uiGVFreehandAreaSelectionTool::~uiGVFreehandAreaSelectionTool | ( |  | ) |

## Member Function Documentation

## ◆ disable()

void uiGVFreehandAreaSelectionTool::disable | ( |  | ) |

## ◆ enable()

void uiGVFreehandAreaSelectionTool::enable | ( |  | ) |

## ◆ isEnabled()

bool uiGVFreehandAreaSelectionTool::isEnabled | ( |  | ) | const
| inline

## ◆ isPolygonMode()

bool uiGVFreehandAreaSelectionTool::isPolygonMode | ( |  | ) | const

## ◆ mouseMoveCB()

void uiGVFreehandAreaSelectionTool::mouseMoveCB | ( | CallBacker * |  | ) |
| protected

## ◆ mousePressCB()

void uiGVFreehandAreaSelectionTool::mousePressCB | ( | CallBacker * |  | ) |
| protected

## ◆ mouseReleaseCB()

void uiGVFreehandAreaSelectionTool::mouseReleaseCB | ( | CallBacker * |  | ) |
| protected

## ◆ selection()

const ODPolygon< int > & uiGVFreehandAreaSelectionTool::selection | ( |  | ) | const
| inline

## ◆ setPolygonMode()

void uiGVFreehandAreaSelectionTool::setPolygonMode | ( | bool |  | ) |

## Member Data Documentation

## ◆ enabled_

bool uiGVFreehandAreaSelectionTool::enabled_
| protected

## ◆ gv_

uiGraphicsView& uiGVFreehandAreaSelectionTool::gv_
| protected

## ◆ ispolygonmode_

bool uiGVFreehandAreaSelectionTool::ispolygonmode_
| protected

## ◆ odpolygon_

ODPolygon<int>& uiGVFreehandAreaSelectionTool::odpolygon_
| protected

## ◆ pointAdded

Notifier<uiGVFreehandAreaSelectionTool> uiGVFreehandAreaSelectionTool::pointAdded

## ◆ polygonselitem_

uiPolygonItem* uiGVFreehandAreaSelectionTool::polygonselitem_
| protected

## ◆ started

Notifier<uiGVFreehandAreaSelectionTool> uiGVFreehandAreaSelectionTool::started

## ◆ stopped

Notifier<uiGVFreehandAreaSelectionTool> uiGVFreehandAreaSelectionTool::stopped

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025